Bug 253561 - virtinst - check if image file is in use by another domain
Summary: virtinst - check if image file is in use by another domain
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
high
high
Target Milestone: ---
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: 246139 246258 296411 372911
TreeView+ depends on / blocked
 
Reported: 2007-08-20 16:22 UTC by Bryn M. Reeves
Modified: 2018-10-19 23:07 UTC (History)
4 users (show)

Fixed In Version: RHEA-2008-0371
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:45:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from upstream hg (1003 bytes, patch)
2007-08-20 16:22 UTC, Bryn M. Reeves
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2008:0371 normal SHIPPED_LIVE python-virtinst enhancement and bug fix update 2008-05-20 13:36:35 UTC

Description Bryn M. Reeves 2007-08-20 16:22:54 UTC
Description of problem:
The current RHEL5 python-virtinst will check and warn if the user attempts an
installation to a device that is currently in use by another domain (including
inactive domains). The same check is not applied to regular files (loop or tap
devices).

This was fixed upstream by the following commit:
http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=3e2bf458732a

Version-Release number of selected component (if applicable):
python-virtinst-0.103.0-2.el5

How reproducible:
100%

Steps to Reproduce:
1. Configure a domain using a regular file as its storage
2. De-activate the domain
3. Attempt to configure a domain using the same regular file as was used in step 1.
  
Actual results:
No warnings that the image is already in use by another domain.

Expected results:
A warning is output, as in the case for domains using block device backed storage.

Additional info:

Comment 1 Bryn M. Reeves 2007-08-20 16:22:56 UTC
Created attachment 161898 [details]
patch from upstream hg

Comment 4 RHEL Product and Program Management 2007-10-16 03:46:41 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Cole Robinson 2008-01-17 18:13:57 UTC
We are rebasing to virtinst-0.300.2, which fixes this bug:

$ brew latest-pkg dist-5E-qu-candidate python-virtinst
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
python-virtinst-0.300.2-1.el5             dist-5E-qu-candidate  berrange

Comment 12 Bryn M. Reeves 2008-01-28 13:51:31 UTC
Removing rhel_beta group - applies to GA & nothing confidential in public comments.

Comment 15 errata-xmlrpc 2008-05-21 16:45:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0371.html



Note You need to log in before you can comment on or make changes to this bug.